﻿using System.Collections.Generic;

namespace RandomFileRunner
{
    public class AppSession
    {
        public class HotKeyOptions
        {
            public bool IsCtrl { get; set; } = false;
            public bool IsAlt { get; set; } = false;
            public bool IsShift { get; set; } = false;
            public int Key { get; set; } = (int)System.Windows.Forms.Keys.None;

            public int ModifierCode => ((this.IsAlt ? 1 : 0) + (this.IsCtrl ? 2 : 0) + (this.IsShift ? 4 : 0));

            public System.Windows.Forms.Keys KeyCode => (System.Windows.Forms.Keys)this.Key;
        }


        public string SearchFilePattern { get; set; } = "*";

        public List<string> SearchItems { get; set; } = new List<string>();

        public bool SearchTopDirectoryOnly { get; set; } = false;

        public bool ClosePrevOnNext { get; set; } = false;

        public int RetryOnError { get; set; } = 8;

        public HotKeyOptions NextHotKey { get; set; } = new HotKeyOptions();

    }
}
